> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List resources that prevent deletion of this phone number



## OpenAPI

````yaml /openapi.json get /phone_numbers/{id}/objects_preventing_deletion
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /phone_numbers/{id}/objects_preventing_deletion:
    get:
      tags:
        - Phone numbers
      summary: List resources that prevent deletion of this phone number
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the phone number
          required: true
      responses:
        '200':
          description: >-
            IDs of resources that must be reassigned to a different phone number
            before this phone number can be deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  campaign_ids:
                    type: array
                    items:
                      type: string
                    description: Campaign IDs preventing deletion
                  trigger_ids:
                    type: array
                    items:
                      type: string
                    description: Trigger IDs preventing deletion
                required:
                  - campaign_ids
                  - trigger_ids
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.